SynqDocs
Management APIWebhooks

Enable a webhook

Turn a webhook on, clearing why Synq turned it off and its consecutive failures when it was off. Events recorded while it was off are not sent. Needs `org.webhooks.edit` and a plan with webhooks (403 `plan_feature_unavailable` otherwise). Recorded as `webhook.updated` with enabled in its fields.

POST/v1/orgs/{org}/webhooks/{webhook}/enable

Turn a webhook on, clearing why Synq turned it off and its consecutive failures when it was off. Events recorded while it was off are not sent. Needs org.webhooks.edit and a plan with webhooks (403 plan_feature_unavailable otherwise). Recorded as webhook.updated with enabled in its fields.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string

The org's id

Match^org_[0-9a-hjkmnp-tv-z]{26}$
webhook*string

The webhook's id

Match^whk_[0-9a-hjkmnp-tv-z]{26}$

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.synq.build/v1/orgs/org_01h455vb4pex5vsknk084sn02q/webhooks/whk_01h455vb4pex5vsknk084sn02q/enable" \  -H "Authorization: Bearer $SYNQ_API_KEY"
{  "id": "whk_01h455vb4pex5vsknk084sn02q",  "url": "https://app.acme.example",  "events": [    "string"  ],  "name": "Order sync",  "description": "string",  "enabled": true,  "disabled_reason": "string",  "previous_secret_expires_at": "2026-10-21T12:00:00.000Z",  "brands": [    "brd_01h455vb4pex5vsknk084sn02q"  ],  "created_at": "2026-10-21T12:00:00.000Z"}